<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Question;

class QuestionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        // Legal
        Question::create([
            'section_id'=>3,
            'title'=>'Указать полное название компании - франчайзера-управляющей компании вашей франчайзинговой сети',
            'description'=>'ООО; ИП; ЧП ...______________________ \полное название одной компании\ отрасль'
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите юридический адрес компании-франчайзера',
            'description'=>'Страна, ваш город, ул.(проспект), номер дома, номер офиса, этаж, наименование Бизнес-центра',
            'example'=>'Республика Казахстана, город Алматы, проспект Достык, 38, офис 16, 2 этаж, БЦ Кендала'
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите ваши контактные номера телефонов франчайзера',
            'description'=>'+7(___)__________',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите основной е-mail компании',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите реквизиты компании- франчайзера - управляющей компании франчайзинговой сети.',
            'description'=>'',
            'example'=>'АO КаспиБанк, БИН:<br/>1259231640213,<br/>ИИК1357425, рас.счет:<br/>KZ165642326'
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите наименование первого лица компании,выполняющего функции генерального директора',
            'description'=>'(Президента компании, директора компании, управляющего партнера компании) - подписанта - ФИО полностью, должность, пол)',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите, на основании какого юридического документа первое лицо вашей компании представляет интересы компании при заключении Договоров франчайзинга.',
            'description'=>'Укажите ваш вариант: Устав, Доверенность, Решение учредителей.',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Какие программные продукты вы применяете для обучения персонала?',
            'description'=>'В соответствующих документах будет представленная указанная вами информация, если вы в данном вопросе не укажете какого-либо ответа, то в соответствующих документах будет указано GetCourse',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Какие еще документы вы готовы предоставить в рамках франчайзингового объекта?',
            'description'=>'Меню, технология сервиса, специальная техника продаж; методика обучения, технологические карты приготовления блюд и напитков, уникальность содержания реализуемых товаров или укажите ваши варианты',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите все разработки /методики и техники применяемые в вашей франшизе',
            'description'=>'Например: 1) методика по обучению танцу в стиле Fast Jump; 2) методика обучения и повышения квалификации педагогов по танцу',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите список ТМЦ,товаров, либо условий (Musthave) без которых не возможнаваша франшиза.',
            'description'=>'Загрузите фото требуемого ТМЦ, условий рядом с вашим ответом',
            'example'=>'1) Зеркальные стеновые панели размером не менее 2.2*5 в кол-ве 2 штуки<br/>2) Отапливаемое и проветриваемое помещение не менее 60 кв.м<br/>3) Наличие музыкального центра с чистым звуком'
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите требования к размещению помещения для Вашего бизнеса',
            'description'=>'(в каких зданиях, в какой части города, площадь помещения):',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите минимальное количество персонала франчайзингового объекта и их должности',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите наименование должностных лиц, согласование которых указывается при вашем участии, (если есть)',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите минимальные требования к сотрудникам франчайзингового объекта?',
            'description'=>'(опыт работы, личные качества)',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Укажите единые стандарты внешнего вида для сотрудников объекта?',
            'description'=>'Например: Опрятная, спортивная форма одежды в рабочее время, не допускается слишком глубокое декольте в одежде, слишком просвечивающая одежда - также не допускается. Не вульгарная одежда. Умеренный макияж. Ухоженные волосы и руки.',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Вставьте фото сотрудника в требуемой униформе вашей компании',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Электронные каналы для взаимодействия с клиентами',
            'description'=>'Укажите основные электронные каналы взаимодействия с Клиентами, посредством которых будете осуществлять обмен и передачу документами, сообщениями, клиентской базой, акциями и всеми изменениями',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Дополнительные способы взаимодействия',
            'description'=>'Какие есть еще способы взаимодействия с вами, кроме мэйл, ватсап, телеграмм, мобильного номера телефона?',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Штраф за невыполнение условий обеспечения конфиденциальности',
            'description'=>'Укажите размер штрафа за невыполнение условий обеспечения конфиденциальности охраняемой коммерческой информации, полученной от Франчайзера или ненадлежащее выполнение условий обеспечения конфиденциальности охраняемой коммерческой информации, установленных Франчайзером',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Штраф за разглашение охраняемой коммерческой информации',
            'description'=>'Укажите размер штрафа за разглашение охраняемой коммерческой информации Франчайзера',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Штраф за ненадлежащее использование лицензионного комплекса',
            'description'=>'Укажите размер штрафа за ненадлежащее использование Франчайзи лицензионного комплекса',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Штраф за непредставление отчетности о выручке за расчетный период',
            'description'=>'Укажите размер штрафа за непредоставление Франчайзи отчетности о выручке за расчетный период, умышленное предоставление недостоверных, искаженных данных о выручке за расчетный период',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Дополнительные штрафы',
            'description'=>'кажите на какие еще нарушения Вы хотели бы предусмотреть штраф?',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Штраф за нарушение франчайзи требований документов',
            'description'=>'Укажите размер штрафа за нарушения Франчайзи требований документов франчайзингового пакета, включая Основные положения, Бренд-бук, а также своих обязанностей, предусмотренных или вытекающих из договора.',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>3,
            'title'=>'Условия для увеличения размера роялти',
            'description'=>'Увеличение роялти может производиться в размере не более чем на 5(пять)% в год. Предельный размер роялти с учетом увеличения не может быть более 20 (Двадцати) % включительно.',
            'example'=>'Инфо для заполняющего: Данная формулировка будет представлена в лицензионном договоре франчайзинга. Если у вас нет возражений к данной формулировке и условиям, вам необходимо скопировать данную формулировку и вставить в ячейку вашего ответа.'
        ]);

        Question::create([
            'section_id'=>3,
            'title'=>'IT-системы',
            'description'=>'(AmoCRM, Bitrix, IIKO, R-keeper, 1C)',
            'example'=>''
        ]);//27



        // Strategy     

        Question::create([
            'section_id'=>1,
            'title'=>'Основные вопросы',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Продукт',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Целевая аудитория',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Франшизные точки',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Методики управления',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Персонал',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Плюсы приобретения вашей франшизы для франчайзи',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Описание объекта',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Продвижение франшизы',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Права и обязанности франчайзи',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Положения о материальной ответственности, конфиденциальности и антиконкуренции',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>1,
            'title'=>'Права франчайзера',
            'description'=>'',
            'example'=>''
        ]);
        
        //Financial

        Question::create([
            'section_id'=>2,
            'title'=>'Новая финансовая анкета ',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>2,
            'title'=>'Продажи-выручка от продаж',
            'description'=>'В следующих трех вопросах укажите предполагаемую вами выручку вашего франчайзи в первые 3 месяца работы после покупки франшизы.',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Переменные затраты',
            'description'=>'Здесь необходимо указать  суммовое значение группы затрат перечисленных в первые 3 месяца',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'ФОТ',
            'description'=>'(продавцов, менеджеров по продажам,  и иного операционного персонала)',
            'example'=>'Укажите сумму затрат на оплату труда управлченческому персоналу компании- франчайзи. В том числе бонусы, иные доп.вознаграждения, налоги и иные обязательные платежи с доходов управленческого персонала за первые 3 месяца'
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Себестоимость списываемых товаров',
            'description'=>'Нужно приводить значения для товаров, списываемых на продажу по себестоимости в соответствующем месяце. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Прочие переменные расходы (материалы, услуги, прочее)',
            'description'=>'Привести расходы, которые зависят от объемов продаж, упаковочные материалы, транспортировка грузов до клиента и т.д. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Постоянные затраты',
            'description'=>'Группа расходов (затрат) франчайзи, которые неизменны независимо от объема продаж и/или производства',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'ФОТ управленческий - директор, бухгалтер, HR, и прочие офисные работники',
            'description'=>'Зарплата управленческого персонала, включая все выплаты с ФОТ. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Аренда помещения',
            'description'=>'Не заполняется, если помещение в собственности франчайзи и/или франчайзера.',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Коммунальные расходы',
            'description'=>'Затраты на коммун.расходы. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Аренда торгового оборудования',
            'description'=>'Не заполняется если оборудование в собственности франчайзи или франчайзера. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Реклама',
            'description'=>'Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Прочие постоянные затраты - аутсорсинг, прочие расходы',
            'description'=>'Все расходы, не учтенные выше. Укажите данные за предыдущие 3 месяца*',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Инвестиции для открытия бизнеса',
            'description'=>'Например: оборудование, ремонт, прочие инвестиции',
            'example'=>''
        ]);
  
        Question::create([
            'section_id'=>2,
            'title'=>'Оборотные средства - первичные затраты на товары и пр.',
            'description'=>'Например: предоплата за аренду помещения, закуп первичной партии товара, дополнительные авансовые расходы',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Стоимость бизнеса по оценке франчайзера',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Укажите % от стоимости бизнеса для расчета паушального взноса',
            'description'=>'',
            'example'=>''
        ]);
        Question::create([
            'section_id'=>2,
            'title'=>'Укажите роялти как % от продаж для  расчета ежемесячных платежей от франчайзи',
            'description'=>'',
            'example'=>''
        ]);
        
        //Marketing

        Question::create([
            'section_id'=>4,
            'title'=>'',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Мерчендайзинг',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Целевая аудитория',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Продукт',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Маркетинг',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Поставщики',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'Анкета по Бизнес-концепту',
            'description'=>'',
            'example'=>''
        ]);
        
        //EMPTY
        Question::create([
            'section_id'=>1,
            'title'=>'',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>2,
            'title'=>'',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>3,
            'title'=>'',
            'description'=>'',
            'example'=>''
        ]);

        Question::create([
            'section_id'=>4,
            'title'=>'',
            'description'=>'',
            'example'=>''
        ]);

        
        
    }
}
